<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="utf-8" indent="yes"/>

    <!-- Parameters -->

    <xsl:param name="PAGE-TITLE">Consolidation Results</xsl:param>
    <xsl:param name="PAGE-NAME">consolidationResults</xsl:param>
    
    <xsl:param name="CONSOLIDATION-ERROR"/>
    <xsl:param name="RDI-RECORD-COUNT"/>
    <xsl:param name="PROCESSED-RECORD-COUNT"/>

    <xsl:template match="/">
        
        <script src="js/{$PAGE-NAME}.js?version={$VERSION}"/>   
        
        <div class="card">

            <div class="card-header bg-primary text-white p-1 ps-3 border-bottom-0">
                <i class="bi bi-check2-circle me-2" aria-hidden="true"/>
                <xsl:copy-of select="$PAGE-TITLE"/>
            </div>

            <div class="card-body text-left">
                
                <p>RDI Table Record Count: <xsl:value-of select="$RDI-RECORD-COUNT"/></p>
                <p>Processed Records Count: <xsl:value-of select="$PROCESSED-RECORD-COUNT"/></p>
                    
                <xsl:choose>
                    <xsl:when test="$RDI-RECORD-COUNT != $PROCESSED-RECORD-COUNT">
                        <h3 class="text-danger">Consolidation Unsuccessful</h3>
                        <p>
                            <xsl:value-of select="CONSOLIDATION-ERROR"/>
                        </p>
                    </xsl:when>
                    <xsl:otherwise>
                        <h3 class="text-success">Consolidation Successful.</h3>
                        <p>You can now upload the new RDI files.</p>
                    </xsl:otherwise>
                </xsl:choose>


                <div class="buttons mt-2 mb-2">
                    <a role="button" class="btn btn-sm btn-primary me-2 btnImportCSVs">
                        <i class="bi bi-upload me-2"/>Import CSVs</a>
                </div>

            </div> 

        </div> 

    </xsl:template>

</xsl:stylesheet>
